#ifndef SMS_MESSAGES_H_
#define SMS_MESSAGES_H_

#include <inttypes.h>
#include <string.h>
#include <stdbool.h>

#include "sim900.h"
#include "pamiec_konfiguracji.h"
#include "relays.h"
#include "rprintf.h"

//Wypenia bufor pnt informacjami o wejciach analogowych
void analog_in_msg(uint8_t * pnt);
//Wypenia bufor pnt informacjami o wejciach cyfrowych
void digital_in_msg(uint8_t * pnt);
//Wypenia bufor pnt informacjami o wyjciach cyfrowych
void digital_out_msg(uint8_t * pnt);
//Wypenia bufor pnt informacjami o pwm oraz alarmach
void alarm_msg(uint8_t * pnt);

void print_to_buffer(uint8_t chr);

#endif 