#include "avr/io.h"
#include "uart.h"
#include <string.h>
#include <stdbool.h>
#include "util/delay.h"
#include "rprintf.h"

//ATMEGA8_ADC
//napicie referencyjne
#define AREF_REFERENCE ADMUX =((ADMUX & 0x3F) | 0x40)

//Wybr kanau ADC
#define ADC_GND_SET ADMUX=((ADMUX & 0xF0) | 0x0F)  // odczyt masy
#define ADC0_SET ADMUX=((ADMUX & 0xF0) | 0x00) 
#define ADC1_SET ADMUX=((ADMUX & 0xF0) | 0x01) 

//konfiguruje ADC ATMEGA8a
//mode 1:start else:stop
void config_adc(char mode);
//Pobiera warto z danego kanau ADC
int get_adc(char channel);
//Urednia kilka pomiarw ADC
//averages -> liczba pomiarw
int adc_average(char channel, char averages);


//dokonuje pomiarw z wszystkich wej analogowych
//mode: 0 - send to pc 1: send in sms
void get_adc_info(bool mode, uint8_t * buffer, uint8_t channel);