/*
 * gsm_commands.h
 *
 * Created: 2013-03-17 19:21:09
 *  Author: Radek
 */ 


#ifndef GSM_COMMANDS_H_
#define GSM_COMMANDS_H_

#include <avr/io.h>
#include <string.h>
#include <stdbool.h>
#include "sim900.h"
#include "relays.h"
#include "sms_command.h"
#include "sms_messages.h"




//Funkcja wykonywujca opwiednie rozkazy w zalenoci od komendy
bool gsm_command_verify(SIM900_struct * SIM900STRUCT); 
//Funkcja parsujca sms -> wydobywa numer, dat, czas oraz wiadomo sms
//zwraca 1 w przypadku poprawnego przebiegu funkcji
bool sim900_parse_sms(SIM900_struct * SIM900STRUCT, uint8_t * wsk);
//Funkcja parsujca poczenie przychodzce -> wydobywa numer telefonu
//zwraca 1 w przypadku poprawnego przebiegu funkcji
bool sim900_parse_call(SIM900_struct * SIM900STRUCT, uint8_t * wsk);





#endif /* GSM_COMMANDS_H_ */