#ifndef H_UART
#define H_UART

#include "avr/io.h"
#include <stdbool.h>

#define F_CPU 8000000ul

#include "util/delay.h"
#include <avr/wdt.h>

#define enable 1
#define disable 0

void usart_usb_init(int val);
void usart_usb_char( unsigned char data );
void usart_usb_string(char *str) ;
unsigned char usart_usb_receive();
unsigned char usart_gsm_receive();
unsigned char usart_gsm_receive_nowait();
unsigned char usart_usb_receive_wait();
unsigned char usart_usb_receive_nowait();
//pobiera jedn lini tekstu poprzez uart
/*void get_gsm_line(char* buffer, int max_len,  bool wait);*/
void send_usb_bin_byte(char data);
void send_usb_bin_int(int data);
/*void usart_rx_int(char mode);*/

//UART0

void usart_gsm_init(int val);
void usart_gsm_char( unsigned char data );
void usart_gsm_string(char *str) ;

#endif